
Summary: Skype for Linux
Name: skypeforlinux
Version: 8.105.0.208
Release: %mkrel 1
License: GPL
Group: Networking/WWW
URL: https://repo.skype.com/latest/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
AutoReqProv: no
Obsoletes: skype
Provides: skype = %{version}-%{release}

%description
Have a spoken conversation with (someone) over the Internet using
the software application Skype, typically also viewing by webcam.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

%define deb_package skypeforlinux-64.deb

cd $RPM_SOURCE_DIR
wget -nc https://repo.skype.com/latest/%{deb_package}
cd ..

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_package} data.tar.gz | gunzip | tar x -C %buildroot


%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
/opt/skypeforlinux/skypeforlinux
%{_bindir}/skypeforlinux
%{_datadir}/applications/*.desktop
%{_datadir}/doc
%{_datadir}/icons/hicolor
%{_datadir}/pixmaps
%{_datadir}/skypeforlinux
%{_datadir}/kservices5/ServiceMenus/skypeforlinux.desktop

%changelog
* Wed Sep 27 2023 tex - 8.105.0.208-1pclos2023
- new version

* Sat Sep 10 2022 tex - 8.88.0.401-1pclos2022
- new version

* Mon Feb 28 2022 tex - 8.81.0.268-1pclos2022
- new version

* Mon Dec 23 2019 tex - 8.55.0.141-1pclos2019
- new version

* Thu Mar 28 2019 tex - 8.42.76.54-1pclos2019
- insider version

* Mon Aug 27 2018 tex - 8.29.0.50-1pclos2018
- new
